PImage plogo;

void showCredits ()
{
  int h, w;
  float l, fontsize;
  h=height-50;
  w=width-10;
  fontsize = 14;
  
  pushMatrix();
  fill (255,120);
  //rect (0,0,width, height);
  
  translate ((width-w)/2, (height-h)/2-15);
  fill (255,220);
  noStroke();
  rect (0,0, w, h);
  
  l=0.08*h;
  fill(0);
  textAlign(CENTER);
  textFont (verd, 16);
  text ("CRÉDITOS",w/2, 20);
  textAlign(LEFT);
  
  textFont (verd, fontsize);
  text ("Desenvolvimento:",15, l);
  text ("Giovanni Garaldi Biasi (aluno do 3º ano do Curso de Engenharia Mecânica,\nEscola Politécnica da Universidade de São Paulo - SP, Brasil)",145, l);
  l += fontsize*3;
  text ("Orientação:",15, l);
  text ("Ivette Frida Cymbaum Oppenheim (Departamento de Engenharia Metalúrgica e\nde Materiais,Escola Politécnica da Universidade de São Paulo - SP, Brasil)",145, l);
  l += fontsize*3;
  text ("Texto:",15, l);
  text ("Giovanni Garaldi Biasi",145, l);
  text ("Ultima Modificação: 04/04/2012", 420, l);
  
  l += fontsize*3;
  text ("Colaboração:",15, l);
  text ("Rafael Nahat (UI Objects)",145, l);
  text ("Plataforma:", 420, l);
  text ("Processing v.1.2.1", 510, l);
  image(plogo, 650, l-30);
  
  
  fontsize=15;
  textFont (verd, fontsize);
  l += fontsize*3;
  text ("Sobre a Animação:",15, l);
  textFont (verd, fontsize);
  l += fontsize*1.2;
  text ("A simulação \"Metalografia\" foi desenvolvida no contexto do projeto 'Animações para \n" +
        "Disciplinas Introdutórias de Ciência e Engenharia dos Materiais', integrante do 'Programa \n"+
        "Ensinar com Pesquisa' da Pró-Reitoria de Graduação da Universidade de São Paulo, à qual \n" +
        "expressamos agradecimento pela concessão da bolsa de Iniciação Científica.\n(Projeto 2882 -2011)."
        ,15, l);
  
  l += fontsize*8;
  textFont (verd, fontsize);
  fill(1,43,77);
  text ("Sobre o Processing:",15, l);
  //fill(0);
  textFont (verd, fontsize);
  l += fontsize*1.2;
  text ("Processing é uma linguagem de programação e ambiente de desenvolvimento opensource, \n" +
        "multiplataforma, concebido para artes eletrônicas e comunidades de desenho visual \n"+
        "baseado em Java, que conta com o compartilhamento de códigos e bibliotecas entre\n" +
        "usuários em uma comunidade online. Foi iniciado em 2001 por Casey Reas e Ben Fry,\n" +
        "pesquisadores do MIT (Intituto de Tecnologia de Massachussets, Cambridge-MA, EUA),\n"+
        "e disponibilizado gratuitamente como software livre no site 'processing.org', onde é\n"+
        "possível fazer download e encontrar diversas referências para seu uso."
        ,15, l);
  
  fontsize=15;
  fill (0);
  textFont (verd, fontsize);      
  l += fontsize*10;
  text ("Referências:",15, l);
  text ("CALLISTER, William D Jr. Ciência e Engenharia de Materiais -\nUma Introdução. 7ª ed. São Paulo: LTC, 2008", 130, l);
  l += fontsize*2;
        
  popMatrix();
}


//========================================================== CONTROLS =====================================================
// color (155,0,255);

void showControls ()
{
  int h, w;
  float l, fontsize;
  h=int(height*0.6);
  w=int(width*0.6);
  fontsize = 14;
  
  pushMatrix();
  pushStyle();
  fill (255,120);
  //rect (0,0,width, height);
  
  translate ((width-w)/2, (height-h)/2-15);
  fill (255,180);
  noStroke();
  rect (0,0, w, h);
  
  fill(0);
  textAlign(CENTER);
  textFont(verd,20);
  text ("CONTROLES",w/2, 20);
  
  maisinfo.display();
  
  image (arrows, 10,60);
  textFont (verd, 15);
  text("Translação\nda Câmera", 70,160);
  textAlign(LEFT);
  text ("'/' = Troca inclinação dos planos\n\n"+
        "'ESPAÇO' = Fecha todas as janelas\n\n"+
        "'PAGE UP' = Zoom IN\n"+
        "'PAGE DOWN' = Zoom OUT"
 
  ,150,70);
  
  
  
  stroke (100,180);
  line (5,190,425,190);
  // ---------------------
    
  fill(0);
  textAlign(LEFT);
  
  textFont (verdS, fontsize);
  
  image (mouseL, 80,200);
  
  tint(155,0,255,180);
  image (lupa, 145,260);
  
  tint (127,200,250);
  image (rotacao, 10,260);
  
  fill(127,250,200,100);
  stroke(127,250,200,180);
  rect(240,250,180,100);
  
  strokeWeight(4);
  noFill();
  beginShape();
  vertex(150,220);
  vertex(280,220);
  vertex(280,250);
  endShape();
  stroke(127,200,250,180);
  beginShape();
  vertex(110,230);
  vertex(57,230);
  vertex(57,260);

  endShape();
  stroke (155,0,255,180);
  beginShape();
  vertex(130,230);
  vertex(130,280);
  vertex(147,280);
  endShape();
  
  noTint();
  image (Camxy, 245,260,40,35);
  tint (255,180);
  image (Joy, 245, 305,40,40);
  
  fill(0);
  text ("Reset Angulo", 310,285);
  text ("Reset Centro", 310,330);
  
  popStyle();
  popMatrix();
}

